{% extends 'base.html.twig' %}

{% block title %}Identification {{ parent() }}{% endblock %}

{% block body %}
    <main class="container">
        <div class="row">
            <div class="col-md-6 offset-3">
                <h2 class="display-4 my-4">S'identifier</h2>
                {% if error %}
                    <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}
                <form action="{{ path('app_login') }}" method="post">
                    <div class="form-group my-3">
                        <label class="form-label" for="email">Email:</label>
                        <input class="form-control" type="text" id="email" name="_username" value="{{ last_username }}">
                    </div>

                    <div class="form-group my-3">
                        <label class="form-label" for="password">Password:</label>
                        <input class="form-control" type="password" id="password" name="_password">
                    </div>

                    {# If you want to control the URL the user is redirected to on success
                    <input type="hidden" name="_target_path" value="/account"/> #}

                    <div class="form-group my-3">
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                        <button class="form-control btn btn-outline-secondary" type="submit">login</button>
                    </div>
                </form>
                <a class="" href="{{ path('app_register') }}">Pas de compte?</a>
            </div>
        </div>
    </main>

{% endblock %}
